<?php

	// 設定項目
	$params = array(
		'username' => '' ,	// ユーザーID (Eメール)
		'password' => '' ,	// パスワード
	) ;

	// BASIC認証のリクエスト
	$curl = curl_init() ;
	curl_setopt( $curl , CURLOPT_URL , 'https://api.vineapp.com/users/authenticate' ) ;
	curl_setopt( $curl , CURLOPT_CUSTOMREQUEST , 'POST' ) ;
	curl_setopt( $curl , CURLOPT_HEADER, 1 ) ; 
	curl_setopt( $curl , CURLOPT_SSL_VERIFYPEER , false ) ;
	curl_setopt( $curl , CURLOPT_RETURNTRANSFER , true ) ;
	curl_setopt( $curl , CURLOPT_POSTFIELDS , http_build_query( $params ) ) ;
	curl_setopt( $curl , CURLOPT_TIMEOUT , 5 ) ;
	$res1 = curl_exec( $curl ) ;
	$res2 = curl_getinfo( $curl ) ;
	curl_close( $curl ) ;

	// 取得したデータ
	$json = substr( $res1, $res2['header_size'] ) ;			// 取得したデータ(JSONなど)
	$header = substr( $res1, 0, $res2['header_size'] ) ;		// レスポンスヘッダー (検証に利用したい場合にどうぞ)

	// 取得したJSONをオブジェクト型に変換
	$obj = json_decode( $json ) ;

	// HTML用
	$html = '' ;

	// 実行結果を出力
	$html .= '<h2>実行結果</h2>' ;

	// エラー判定
	if( !isset( $obj->data->key ) )
	{
		$html .= '<p><mark>BASIC認証に失敗しました…。Eメール、またはパスワードが間違っている可能性があります。</mark></p>' ;
	}
	else
	{
		// 各データ
		$auth_key = $obj->data->key ;		// 認証キー
		$username = $obj->data->username ;		// ユーザーネーム
		$userId = (string)$obj->data->userId ;		// ユーザーID
		$avatarUrl = (string)$obj->data->avatarUrl ;		// アバター画像

		// 出力
		$html .= '<dl>' ;
		$html .= 	'<dt>認証キー</dt>' ;
		$html .= 		'<dd><mark>' . $auth_key . '</mark></dd>' ;
		$html .= 	'<dt>ユーザーネーム</dt>' ;
		$html .= 		'<dd>' . $username . '</dd>' ;
		$html .= 	'<dt>ユーザーID</dt>' ;
		$html .= 		'<dd><a href="https://vine.co/u/' . $userId . '" target="_blank">' . $userId . '</a></dd>' ;
		$html .= 	'<dt>アバター画像</dt>' ;
		$html .= 		'<dd><img class="_img" src="' . $avatarUrl . '" width="75" height="auto"></dd>' ;
		$html .= '</dl>' ;
	}

	// 取得したデータ
	$html .= '<h2>取得したデータ</h2>' ;
	$html .= '<p>下記のデータを取得できました。</p>' ;
	$html .= 	'<h3>JSON</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $json . '</textarea></p>' ;
	$html .= 	'<h3>レスポンスヘッダー</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $header . '</textarea></p>' ;

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>Vine APIでBASIC認証をするサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/vine-api-matome

	* 動作確認
	https://syncer.jp/vine-api-matome/demo/vine-basic-authorization.php

	* 最終更新日時
	2015/08/03 11:58

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/vine-api-matome">配布元: Syncer</a></p>






</body>
</html>
